package Tutoretza;

public class Pantaila {
	private int kop=0;
	private int max;
	public Pantaila(int bulMax) {max=bulMax;}
	
	synchronized public void hasiera(int BasatiKop) {
		for (int i = 0; i < BasatiKop; i++) {
			System.out.print("Ikas[" + (i + 1) + "]\t");
		}
		System.out.print("Irak \t");
		System.out.println("Bulegoa");
		//System.out.print("Egoera? \t\t");
		//System.out.print("Erantzunda? \t\t");
		//System.out.println("Erantzunik falta?");
		for (int i = 0; i < BasatiKop + 7; i++) {
			System.out.print("+++++++++++++++");
		}
		System.out.println("");
	}

	synchronized public void sartu(int k, int BasatiKop, int id) {
		kop++;
		idatzi ("sartu", id, BasatiKop);//["+k+"]
		//idatzi ("bulegoan "+kop+" ikasle",BasatiKop-id+1,BasatiKop);
		posizionatu(1, BasatiKop, id);
		margotuKotxeak(kop, BasatiKop, id);
		System.out.println("");
	}
	
	synchronized public void irten(int k, int id, int BasatiKop) {
		kop--;
		idatzi ("irten", id, BasatiKop); //["+k+"]
		//idatzi ("bulegoan "+kop+" ikasle",BasatiKop-id+1,BasatiKop);
		posizionatu(1, BasatiKop, id);
		margotuKotxeak(kop, BasatiKop, id);
		System.out.println("");
	}
	
	synchronized public void galdetu(int id, int BasatiKop) {
		idatzi ("galdetu", id, BasatiKop);//["+id+"]
		posizionatu(2, BasatiKop, id);
		idatzi ("o->\t  o", 0, BasatiKop);
		System.out.println("");
	}
	
	synchronized public void erantzunaJaso(int id, int BasatiKop, int k) {
		idatzi ("erantzunaJaso", id, BasatiKop);//["+k+"]
		posizionatu(1, BasatiKop, id);
		idatzi ("o<-\t  o", 0, BasatiKop);
		System.out.println("");
	}
	
	synchronized public void entzun(int id, int BasatiKop) {
		idatzi ("entzun", id, BasatiKop);//["+id+"]
		posizionatu(2, BasatiKop, id);
		idatzi ("o\t->o", 0, BasatiKop);
		System.out.println("");
	}
	
	synchronized public void erantzun(int id, int BasatiKop) {
		idatzi ("erantzun", id, BasatiKop);//["+id+"]
		posizionatu(1, BasatiKop, id);
		idatzi ("o\t<-o", 0, BasatiKop);
		//System.out.print("\t\tEz");
		System.out.println("");
	}	
	
	synchronized public void pentxatu(int id, int BasatiKop) {
		idatzi ("pentxatu", id, BasatiKop);//["+id+"]
		System.out.println("");
	}
	
	synchronized public void ikasi(int id, int BasatiKop) {
		idatzi ("ikasi", id, BasatiKop);//["+id+"]
		System.out.println("");
	}
	
	synchronized public void idatzi (String s, int id, int BasatiKop) {
		for (int i = 0; i < id; i++) {
			System.out.print("\t");
		}
		System.out.print(s);
	}
	
	synchronized public void posizionatu (int i, int BasatiKop, int id) {
		for(int j=0; j<BasatiKop-id+i;j++) {
			System.out.print("\t");
		}
	}
	
	synchronized public void margotuKotxeak(int k, int BasatiKop, int id) {
		System.out.print("[");
		for (int i=0; i<k; ++i) { System.out.print("*"); }
		for (int i=k; i<max; ++i) { System.out.print(" "); }
		System.out.println("]");
	}
}
