package FIFO;

public class Pantaila {
	private int plazak;
	public Pantaila(int p) {
		plazak=p;
	}
	
	synchronized public void hasiera(int BasatiKop) {
		for (int i = 0; i < BasatiKop; i++) {
			System.out.print("H[" + (i + 1) + "]\t");
		}
		System.out.println("FIFO");
		for (int i = 0; i < BasatiKop; i++) {
			System.out.print("+++++++++++++++");
		}
		System.out.println("");
	}

	synchronized public void sartu(int k, int BasatiKop, int id, int s, int i, int n) {
		int kop=k;
		idatzi ("Sartu:"+n, id, BasatiKop);
		posizionatu (BasatiKop, id);
		margotuKotxeak(kop, s ,i);
		//System.out.println("");
	}
	
	synchronized public void irten(int k, int id, int BasatiKop, int s, int i, int n) {
		int kop=k;
		idatzi ("Atera:"+n, id, BasatiKop);
		posizionatu (BasatiKop, id);
		margotuKotxeak(kop, s ,i);
		//System.out.println("");
	}
	
	synchronized public void idatzi (String s, int id, int BasatiKop) {
		for (int i = 0; i < id; i++) {
			System.out.print("\t");
		}
		System.out.print(s);
	}
	
	synchronized public void posizionatu (int BasatiKop, int id) {
		for(int j=0; j<BasatiKop-id;j++) {
			System.out.print("\t");
		}
	}
	
	synchronized public void margotuKotxeak(int k, int s, int i) {
		if(s<i) {
    		System.out.print("[");
    		for (int j = 0; j <= s-1; ++j) {
	    		System.out.print("*");
	    	}
	    	for (int j = s; j <= i-1; ++j) {
	    		System.out.print(" ");
	    	}
	    	for (int j = i; j < plazak; ++j) {
	    		System.out.print("*");
	    	}
	    	System.out.println("]");
    	}else if (s>i) {
    		System.out.print("[");
    		for (int j = 0; j <= i-1; ++j) {
	    		System.out.print(" ");
	    	}
	    	for (int j = i; j <= s-1; ++j) {
	    		System.out.print("*");
	    	}
	    	for (int j = s; j < plazak; ++j) {
	    		System.out.print(" ");
	    	}
	    	System.out.println("]");
    	}else {
    		if(k==0) {
    			System.out.print("[");
    			for (int j = 0; j < plazak; ++j) {
    	    		System.out.print(" ");
    	    	}
    			System.out.println("]");
    		}else {
    			System.out.print("[");
    			for (int j = 0; j < plazak; ++j) {
    	    		System.out.print("*");
    	    	}
    			System.out.println("]");
    		}
    	}
		/*System.out.print("[");
		for (int i=0; i<k;      ++i) { System.out.print("*"); }
		for (int i=k; i<plazak; ++i) { System.out.print(" "); }
		System.out.println("]");*/
	}
}
