package Buffer;

class Buffer{
	//aldagai lokalak eta eraikitzailea
	private int tam;
	private int kont = 0;
	private int in = 0;
	private int out = 0;
	private char buf[];
	Pantaila pantaila;
	
	public Buffer (int tam, Pantaila pantaila) {
		this.tam=tam;
		/*this.kont=kont;
		this.in=in;
		this.out=out;
		this.buf=buf;*/
		this.pantaila=pantaila;
		for (int i=0; i<tam; i++) {
			buf[i]=' ';
		}
		//hasieratu();
	}
	/*public void hasieratu() {
		for (int i=0; i<tam; i++) {
			buf[i]=' ';
		}
	}*/
	
	public synchronized void put(char c) throws InterruptedException{
		while (!(kont<tam)) wait();
		buf[in] = c;
		++kont; 
		in=(in+1)%tam;
		pantaila.erakutsi(buf);
		notify();
	}
	public synchronized char get() throws InterruptedException{
		while (!(kont>0)) wait();
		char c = buf[out];
		buf[out]=' ';
		--kont;
		out=(out+1)%tam;
		pantaila.erakutsi(buf);
		notify();return(c);
	}
}