package Tutoretza;

public class Bulegoa {
	private int k;
	private int max;
	private boolean g;
	private boolean e;
	private boolean i;
	private Pantaila p;
	
	Bulegoa(int max, Pantaila p){
		this.k=0;
		this.max=max;
		this.g=false;
		this.e=false;
		this.i=false;
		this.p=p;
	}
	
	synchronized void sartu (int ikaKop, int id) throws InterruptedException{
		//when (k<Max)	p[IKR].sartu				-> 		TUTORETZA[k+1][g][e][i]
		while (!(k<max)) wait();
		k++;
		p.sartu(k, ikaKop, id);
		//Ez dago inor sartu ekintzaren zain
	}
	
	synchronized void galdetu (int ikaKop, int id) throws InterruptedException{
		//when (g==0)	p[IKR].galdetu				->		TUTORETZA[k][1][e][1]
		while(!(g==false)) wait();
		g=true;
		i=true;
		p.galdetu(id, ikaKop);
		notifyAll(); //Ziurtatzeko irakaslea esnatuko dela eta ez kanpoan zain dagoen ikasleren bat bakarrik
	}

	synchronized void erantzunaJaso (int ikaKop, int id) throws InterruptedException{
		//when (e==1)	p[IKR].erantzunaJaso		->		TUTORETZA[k][0][0][i]
		while(!(e==true)) wait();
		g=false;
		e=false;
		p.erantzunaJaso(id, ikaKop, k);
		notifyAll(); //Ziurtatu behar da galdetzeko zain dagoen ikaslea esnatzen dela eta ez kanpoan zain dagoen ikasleren bat bakarrik
	}

	synchronized void irten (int ikaKop, int id) throws InterruptedException{
		//				p[IKR].irten				->		TUTORETZA[k-1][g][e][i] 	
		k--;
		p.irten(k, id, ikaKop);
		notifyAll(); //Ziurtatu behar dugu kanpoan zain dauden ikasleak esnatzen direla eta ez barruko ikaslea edo irakaslea bakarrik
	}

	synchronized void entzun (int ikaKop, int id) throws InterruptedException{
		//when (i==1)	ira.entzun					->		TUTORETZA[k][g][e][0]
		while(!(i==true)) wait();
		i=false;
		p.entzun(id, ikaKop);
		//Ez dago inor entzun ekintza bukatzeko zain
	}

	synchronized void erantzun (int ikaKop, int id) throws InterruptedException{
		//				ira.erantzun				->		TUTORETZA[k][g][1][i]
		e=true;
		p.erantzun(id, ikaKop);
		notifyAll(); //Ziurtatu behar da galdetu duen ikaslea esnatzen dela eta ez kanpoan zain dagoen ikasleren bat bakarrik
	}
}
