package FIFO;

public class FIFO {

	int s;
	int i;
	int k;
	int max;
	int n;
	Pantaila p;
	
	FIFO(int max, Pantaila p){
		this.s=0;
		this.i=0;
		this.k=0;
		this.max=max;
		this.p=p;
	}
	
	synchronized public int sartu (int mx, int id) throws InterruptedException{
		//when (k<FK)		sartu[s] -> FIFO[(s+1)%FK][i][k+1]
		while(!(k<max)) wait();
		k++;
		n=s;
		s=(s+1)%max;
		p.sartu(k, mx, id, s, i, n);
		return n;
		//Sartu egitean ez dago inor ekintza hori gertatzeko zain
	}
	
	synchronized public void irten (int id, int mx, int n) throws InterruptedException{
		//when (k>0)			irten[i] -> FIFO[s][(i+1)%FK][k-1]).
		while(!(i==n)) wait();
		i=(i+1)%max;
		k--;
		p.irten(k, id, mx, s, i, n);
		notifyAll(); //Esnatu behar da irtengo denaren hurrengoa
	}
}
